version: '3.9'
services:
    mmdvm:
        hostname: p25-pride
        image: 'dvswitch'
        restart: unless-stopped
        volumes:
          - /config/pride/dvswitch-p25/analog_bridge:/opt/Analog_Bridge
          - /config/pride/dvswitch-p25/mmdvm_bridge:/opt/MMDVM_Bridge
          - /config/pride/dvswitch-p25/p25gateway:/opt/P25Gateway
          - /var/log/pride:/var/log/mmdvm
          - /data/pride/mmdvm/:/var/lib/mmdvm
          - /data/pride/dvswitch/:/var/lib/dvswitch
        environment:
          - MMDVM_BRIDGE=1
          - ANALOG_BRIDGE=1
          - P25GATEWAY=1
          - AnalogBridgeLogDir=/var/log/mmdvm
          - P25GWCFG=/opt/P25Gateway/P25Gateway.ini
        networks:
          stream_net:
            ipv4_address: 10.200.0.53

networks:
    stream_net:
        driver: bridge
        name:  stream_net
        ipam:
           driver: default
           config:
           - subnet: "10.200.0.0/24"
             gateway: "10.200.0.1"
